Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Futures REST API

Base URL: https://futuresopenapi.koinbay.com · 22 endpoints.

Ping

GET  /fapi/v1/ping    Public

Response 200

{}

Server time

GET  /fapi/v1/time    Public

Response 200

{
  "timezone": "GMT+08:00",
  "serverTime": 1780475301031
}

Contracts

GET  /fapi/v1/contracts    Public

Response 200

Depth (order book)

Query parameters

Name
Req
Type
Description

contractName

yes

string

e.g. E-BTC-USDT

limit

no

integer

default 100; max 100

Response 200

24hr ticker

Query parameters

Name
Req
Type
Description

contractName

yes

string

Response 200

Index / tag price

Query parameters

Name
Req
Type
Description

contractName

yes

string

limit

no

string

no-op for a single object

Response 200

Klines / candlesticks

Notes:

  • Interval set: 1min,5min,15min,30min,1h,1day,1week,1month.

Query parameters

Name
Req
Type
Description

contractName

yes

string

interval

yes

string

1min,5min,15min,30min,1h,1day,1week,1month

limit

no

integer

default 100; max 300

Response 200

Create order

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

e.g. E-BTC-USDT

volume

yes

number

market open: unit is value

price

no

number

required for LIMIT

type

yes

string

LIMIT / MARKET

side

yes

string

BUY / SELL

open

yes

string

OPEN / CLOSE

positionType

no

number

1 cross / 2 isolated

clientOrderId

no

string

timeInForce

no

string

IOC / FOK / POST_ONLY

Response 200

Order information

Query parameters

Name
Req
Type
Description

contractName

yes

string

orderId

yes

string

clientOrderId

no

string

default 0

Response 200

Create condition (trigger) order

Request body (application/json)

Field
Req
Type
Description

triggerType

no

string

1 stop-loss / 2 take-profit / 3 chase-rise / 4 kill-fall

triggerPrice

no

string

clientOrderId

no

string

positionType

no

number

open

no

string

OPEN / CLOSE

side

no

string

BUY / SELL

type

no

string

LIMIT / MARKET

contractName

no

string

price

no

number

volume

no

number

Response 200

Cancel order

Notes:

  • Returns {"orderId":"<string>"}; cancel is async.

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

orderId

yes

string

Response 200

Open orders

Query parameters

Name
Req
Type
Description

contractName

no

string

Response 200

Order history

Request body (application/json)

Field
Req
Type
Description

contractName

no

string

limit

no

string

default 100; max 1000

fromId

no

integer

Response 200

Profit & loss history

Request body (application/json)

Field
Req
Type
Description

contractName

no

string

limit

no

string

fromId

no

integer

Response 200

My trades

Query parameters

Name
Req
Type
Description

contractName

yes

string

limit

no

string

default 100; max 1000

fromId

no

integer

Response 200

Positions

Query parameters

Name
Req
Type
Description

contractName

yes

string

required; omitting returns -1121 BAD_SYMBOL

Response 200

Change position mode

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

positionModel

yes

integer

1 net / 2 two-way

Response 200

Change margin mode

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

marginModel

yes

integer

1 cross / 2 isolated

Response 200

Change leverage

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

nowLevel

yes

string

e.g. 50

Response 200

Trigger order list

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

page

no

integer

default 1

limit

no

integer

default 1000

Response 200

Cancel trigger order

Request body (application/json)

Field
Req
Type
Description

contractName

yes

string

orderId

yes

integer

the triggerOrderId

Response 200

Account

Response 200

Last updated

Was this helpful?